org.eclipse.net4j.util.container.delegate

## Interface IContainerBlockingQueue<E>

- All Superinterfaces:
    java.util.concurrent.BlockingQueue<E>, java.util.Collection<E>, IContainer<E>, IContainerCollection<E>, IContainerQueue<E>, INotifier, java.lang.Iterable<E>, java.util.Queue<E>
  All Known Implementing Classes:
    ContainerBlockingQueue

      public interface IContainerBlockingQueue<E>
      extends IContainerQueue<E>, java.util.concurrent.BlockingQueue<E>

  A `container` that is a `BlockingQueue`.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.concurrent.BlockingQueue<E>` | `getDelegate()`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface java.util.concurrent.BlockingQueue

      `add, contains, drainTo, drainTo, offer, offer, poll, put, remainingCapacity, remove, take`

    - ### Methods inherited from interface java.util.Queue

      `element, peek, poll, remove`

    - ### Methods inherited from interface java.util.Collection

      `addAll, clear, containsAll, equals, hashCode, isEmpty, iterator, parallelStream, removeAll, removeIf, retainAll, size, spliterator, stream, toArray, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Method Detail

    - #### getDelegate

          java.util.concurrent.BlockingQueue<E> getDelegate()

      Specified by:
        `getDelegate` in interface `IContainerCollection<E>`
      Specified by:
        `getDelegate` in interface `IContainerQueue<E>`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html